package com.ruoyi.system.service.publicservice;



import com.ruoyi.system.domain.publicservice.TPublicServiceIfind;

import java.util.List;

/**
 * 公共服务 我发现表
 * @author wujm<wujm@eazytec.com>
 */
public interface TPublicServiceIfindService {

    /**
     * 分页查询
     * @param TPublicServiceIfind
     * @return
     */
	List<TPublicServiceIfind> listTPublicServiceIfind(TPublicServiceIfind TPublicServiceIfind);

    /**
     * 新增
     * @param TPublicServiceIfind
     * @return
     */
    int saveTPublicServiceIfind(TPublicServiceIfind TPublicServiceIfind);

    /**
     * 根据id查询
     * @param id
     * @return
     */
    TPublicServiceIfind getTPublicServiceIfindById(Long id);

    /**
     * 修改
     * @param TPublicServiceIfind
     * @return
     */
    int updateTPublicServiceIfind(TPublicServiceIfind TPublicServiceIfind);

    /**
     * 删除
     * @param ids
     * @return
     */
    int batchRemove(Long[] ids);

    //我发现 最大code
    String getMaxNum();

    //保存 及附件
    int saveIfind(TPublicServiceIfind TPublicServiceIfind);

    //返回 附件
    TPublicServiceIfind getIfindById(Long id);

    //更新 积分
    int updateIfind(TPublicServiceIfind TPublicServiceIfind, String realName);
}
